package com.crm.manager.dao.mapper;

import com.crm.rely.backend.model.entity.user.info.UserInfoSearchEntity;
import com.crm.rely.backend.model.pojo.view.UserInfoView;
import com.crm.rely.backend.model.pojo.table.UserInfoTable;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by max on 2020/6/17.
 */
@Repository
public interface UserInfoDao {

    String getStampById(Long id);

    List<String> getStampListByIds(List<Long> ids);

    Integer searchByPageCount(UserInfoSearchEntity entity);

    List<UserInfoView> searchByPageList(UserInfoSearchEntity entity);

    UserInfoView getOne(Long id);

    List<UserInfoTable> findAllByRoleCode(String roleCode);

    UserInfoTable getSuperAdminInfo();

    List<UserInfoTable> findAllByStamp(String stamp);

    String getMaxStampByPid(Long pid);

    void updateUserStampByBatch(List<UserInfoTable> tables);

    String findStampById(Long id);

    List<UserInfoTable> getAllAgent();

}
